import org.xml.sax.HandlerBase;
import org.xml.sax.AttributeList;

public class UnTagHandler extends HandlerBase {

    private StringBuffer buffer = new StringBuffer();
    
    public void characters(char[] content, int start, int len) {   
	while (len-- > 0) {
	    appendChar (content[start++]);
	}
    }

    public void endElement (String name) {
	flushChars();
    }   
    
    public void endDocument() {
	flushChars();
    }
    
    private void flushChars() {
	if (buffer.length() > 0) {
	    System.out.print (buffer.toString());
	    buffer.setLength(0);
	}
    }
    
    private void appendChar(char c) {
	switch (c) {
	case '\n':
	    flushChars();
	    System.out.println ("");
	    break;
	case '\r':
	    break;
	default:
	    buffer.append(c);
	    break;
	}
    }

}




